Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# CollisionParabola Class Reference

This defines a parabolic arc, or subset of an arc, similar to the path of a projectile or falling object. More...

Inheritance diagram for CollisionParabola:

List of all members.

## Public Member Functions
| CollisionParabola ()
| Creates an invalid parabola.
| CollisionParabola (LParabolaf const parabola, float t1, float t2)
| Creates a parabola with the endpoints between t1 and t2 in the parametric space of the parabola.
LParabolaf const | getParabola ()
| Returns the parabola specified by this solid.
float | getT1 ()
| Returns the starting point on the parabola.
float | getT2 ()
| Returns the ending point on the parabola.
| setParabola (LParabolaf const parabola)
| Replaces the parabola specified by this solid.
| setT1 (float t1)
| Changes the starting point on the parabola.
| setT2 (float t2)
| Changes the ending point on the parabola.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This defines a parabolic arc, or subset of an arc, similar to the path of a projectile or falling object.

It is finite, having a specific beginning and end, but it is infinitely thin.

Think of it as a wire bending from point t1 to point t2 along the path of a pre-defined parabola.

## Constructor & Destructor Documentation

CollisionParabola | ( |  | ) |

Creates an invalid parabola.

CollisionParabola | ( | LParabolaf const | parabola,
|  | float | t1,
|  | float | t2
| ) |  |

Creates a parabola with the endpoints between t1 and t2 in the parametric space of the parabola.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from CollisionSolid.

LParabolaf const getParabola | ( |  | ) |

Returns the parabola specified by this solid.

float getT1 | ( |  | ) |

Returns the starting point on the parabola.

float getT2 | ( |  | ) |

Returns the ending point on the parabola.

setParabola | ( | LParabolaf const | parabola | ) |

Replaces the parabola specified by this solid.

setT1 | ( | float | t1 | ) |

Changes the starting point on the parabola.

setT2 | ( | float | t2 | ) |

Changes the ending point on the parabola.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties